org.apache.ignite.internal.managers.communication

## Enum GridIoPolicy

- java.lang.Object
- - java.lang.Enum<GridIoPolicy>
  - - org.apache.ignite.internal.managers.communication.GridIoPolicy

All Implemented Interfaces:
  Serializable, Comparable<GridIoPolicy>

    public enum GridIoPolicy
    extends Enum<GridIoPolicy>

This enumeration defines different types of communication message processing by the communication manager.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AFFINITY_POOL` Affinity fetch pool.
`MANAGEMENT_POOL` Management execution pool.
`MARSH_CACHE_POOL` Marshaller cache execution pool.
`P2P_POOL` P2P execution pool.
`PUBLIC_POOL` Public execution pool.
`SYSTEM_POOL` System execution pool.
`UTILITY_CACHE_POOL` Utility cache execution pool.

### Method Summary

Methods
`static GridIoPolicy` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static GridIoPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridIoPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUBLIC_POOL

    public static final GridIoPolicy PUBLIC_POOL

Public execution pool.

#### P2P_POOL

    public static final GridIoPolicy P2P_POOL

P2P execution pool.

#### SYSTEM_POOL

    public static final GridIoPolicy SYSTEM_POOL

System execution pool.

#### MANAGEMENT_POOL

    public static final GridIoPolicy MANAGEMENT_POOL

Management execution pool.

#### AFFINITY_POOL

    public static final GridIoPolicy AFFINITY_POOL

Affinity fetch pool.

#### UTILITY_CACHE_POOL

    public static final GridIoPolicy UTILITY_CACHE_POOL

Utility cache execution pool.

#### MARSH_CACHE_POOL

    public static final GridIoPolicy MARSH_CACHE_POOL

Marshaller cache execution pool.

### Method Detail

#### values

    public static GridIoPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridIoPolicy c : GridIoPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridIoPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridIoPolicy fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015